QGIS Application - Bug report #17597
Color Picker cursor disabled when used from the Layer Styling panel
2017-11-30 12:29 PM - Alexandre Neto

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Linux - ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25494
Description

when from the styling panel, you try to use the color picker from within the styling panel to set a color, its cursor (the sampler icon) quicky
disappears and the default arrow cursor is shown instead. This does not happen if the color picker menu item is pressed outside the
Styling panel.

Despite of that, the color picker tool works just fine.

Besides, using the sample color button in the color selector (still inside layer styling panel), works as expected
This doesn't happen on 2.18.

Related issues:
Related to QGIS Application - Bug report # 17721: Color picker does not pick ... Closed 2017-12-19

History

#1 - 2017-11-30 12:34 PM - Alessandro Pasotti

I've tried to fix this without success.

As shown in the animated gif if you reduce the window height, such as that when you open the color drop-down it extends under the main window, in that

case the cursor appears and the bug cannot be reproduced.

#2 - 2017-11-30 04:36 PM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2018-02-15 03:37 PM - Alessandro Pasotti
- Related to Bug report #17721: Color picker does not pick the color (always set to transparent) added

#4 - 2018-02-19 07:36 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in master
